Get Backup Status History
Returns the backup status history. Results are always returned in chronologically reverse order, i.e., the latest backup status first. To get the latest backup status, set the page size to 1 without other query parameter. If there's no latest backup, then the call returns an empty list.
History type. If not specified, default to DB
SERVER
Use this request param to filter results by backup_id.
abcde
Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.
Number of records to be returned in the API request from the provided offset
Successful response
{
"offset": 0,
"number_of_results": 0,
"total_result_count": 0,
"total_pages": 0,
"sort_ascending": false,
"sort_by": "string",
"result": [
{
"_create_user": "string",
"_create_time": 0,
"_last_modified_user": "string",
"_last_modified_time": 0,
"_revision": 0,
"_resource_type": "string",
"_system_owned": false,
"id": "string",
"display_name": "string",
"description": "string",
"site_ids": [
"string"
],
"backup_start_time": 0,
"backup_end_time": 0,
"progress": 0,
"progress_message": "string",
"backup_type": "string",
"backup_trigger_type": "string",
"status": "string",
"file_size": 0,
"version": "string",
"error_messages": [
"string"
],
"no_of_entities": 0,
"entities_status": [
{
"id": "string",
"name": "string",
"type": "string",
"status": "string",
"error_messages": [
"string"
]
}
]
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error occurred
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -H 'Authorization: <value>' https://{api_host}/ssp/backup/status